List Invoices
curl --request GET \
--url https://api.launchmystore.io/api/v1/billing/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.launchmystore.io/api/v1/billing/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.launchmystore.io/api/v1/billing/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"state": "success",
"message": null,
"data": {
"invoices": [
{
"subscriptionId": "7f04abcb-5370-4e61-9857-5d477313a5e9",
"planType": "Trial",
"planDuration": null,
"amount": "0.00",
"currency": "INR",
"status": "expired",
"subscriptionEndingDate": "2026-02-15T18:19:04.275Z",
"paymentGateway": "Stripe",
"invoiceId": null,
"createdAt": "2026-02-08T18:19:04.276Z"
}
],
"pagination": { "total": 1, "page": 1, "limit": 20, "totalPages": 1 }
},
"pagination": null
}
Billing
List Invoices
List invoices for the merchant store with pagination and date filters.
GET
/
api
/
v1
/
billing
/
invoices
List Invoices
Paginated list of subscription invoices for the merchant — newest first. Each
invoice corresponds to one charge attempt against a subscription.
Required scope:
read_billing
Query Parameters
Page size (1–100).
Page number, 1-indexed.
Filter
createdAt >= from. ISO 8601 date or YYYY-MM-DD.Filter
createdAt <= to. ISO 8601 date or YYYY-MM-DD.Response
{
"status": 200,
"state": "success",
"message": null,
"data": {
"invoices": [
{
"subscriptionId": "7f04abcb-5370-4e61-9857-5d477313a5e9",
"planType": "Trial",
"planDuration": null,
"amount": "0.00",
"currency": "INR",
"status": "expired",
"subscriptionEndingDate": "2026-02-15T18:19:04.275Z",
"paymentGateway": "Stripe",
"invoiceId": null,
"createdAt": "2026-02-08T18:19:04.276Z"
}
],
"pagination": { "total": 1, "page": 1, "limit": 20, "totalPages": 1 }
},
"pagination": null
}
⌘I